/* Provide stub functions for the minimum static binaries.
   Copyright (C) 1999 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#include <gconv_int.h>

/* Don't drag in the dynamic linker. */
void *__libc_stack_end;

int
__gconv_OK ()
{
  return __GCONV_OK;
}

int
__gconv_NOCONV ()
{
  return __GCONV_NOCONV;
}

strong_alias (__gconv_OK,
	      __gconv_close_transform);

strong_alias (__gconv_NOCONV,
	      __gconv);
strong_alias (__gconv_NOCONV,
	      __gconv_find_transform);
strong_alias (__gconv_NOCONV,
	      __gconv_open);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_ascii_internal);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_internal_ascii);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_internal_ucs2);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_internal_ucs2little);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_internal_ucs4);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_internal_utf16);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_internal_utf8);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_ucs2_internal);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_ucs2little_internal);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_utf16_internal);
strong_alias (__gconv_NOCONV,
	      __gconv_transform_utf8_internal);
